#include <iostream>
#include <math.h>

using namespace std;

int main()
{int x, y, i, a, b, u;

cin>>x;
cin>>y;

i=0;
u=0;
while(x>0 or y>0)
{
 
 if(x==0)
 a=-1;
 else
 a=x%10;
 
 if(y==0)
 b=-1;
 else
 b=y%10;
 
 
{if(a>b)
{u=u+a*pow(10,i);
i=i+1;}

else if(b>a)
{u=u+b*pow(10,i);
i=i+1;}
  
else 
{u=u+(10*a+b)*pow(10,i);
i=i+2;}
}

x=x/10;
y=y/10;
}

cout<<u;





    return 0;
}